Subject: bug#52400: [PATCH] Don't generate separate autoload file for htmlfontify.el

From: Stefan Kangas <[email-masked]>
Date: Fri, 10 Dec 2021 15:22:12 +0000

Eli Zaretskii <[email-masked]> writes:

> That the build breaks.  Two possible variants of breakage:
>
>   . the autoloads aren't updated when they should be
>   . the rule for updating the autoloads is executedevery time you say
>     "make", even if there was no change anywhere in Emacs

FWIW, I didn't see any of those issues in my testing.

> I say why take the risks, however low, if the problem is not serious
> enough?

Cruft inevitably adds to cognitive load.  A lot of it adds more, little
adds little.  We have a lot of it, IMO, so every little bit helps.

The problem is that if it exists, you will sometimes happen to look at
it and think "hmm, why is this file here".  I think this is the second
(or third?) time I stumble upon this particular file.